*
{
    margin:0;
    padding:0;
    box-sizing: border-box;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    overflow: hidden;
}
.house{
    position: relative;
    width:700px;
    height: 350px;
    /* background: #ccc; */
    border-bottom:8px solid #175117;
}
.main{
    position:absolute;
    bottom:0;
    left:50%;
    transform: translateX(-50%);
    width:400px;
    height:200px;
    background:#fff;
}
.main::before{
    content:'';
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:10px;
    background:rgba(0,0,0,0.1);
}
.roof{
    position:absolute;
    top:-100px;
    height: 100px;
    width:100%;
    /* background: #ff0; */
}
.roof::before{
    content:'';
    position:absolute;
    top:0;
    left:0;
    width:60%;
    height: 100%;
    background: #257582;
    transform:skewx(330deg);
}
.roof::after{
    content:'';
    position:absolute;
    top:0;
    right:0;
    width:60%;
    height: 100%;
    background: #257582;
    transform:skewx(30deg);
}
.front{
    position:absolute;
    top:120%;
    left:50%;
    transform: translateX(-50%);
    width:180px;
    height: 180px;
    background:#f1f1f1;
    z-index:2;
}
.front::before{
    content:'';
    position:absolute;
    top:-64px;
    left:50%;
    transform: translateX(-50%);
    width:126px;
    height: 126px;
    background:#f1f1f1;
    transform:translateX(-50%) rotate(45deg);
}
.front::after{
    content:'';
    position:absolute;
    top:-20px;
    left:50%;
    transform:translateX(-50%);
    width:120px;
    height:60px;
    background:#333;
    background-image:linear-gradient(to right, transparent 10%, transparent 90%, #333 90%), linear-gradient(to bottom,transparent 10%,#6d6d7d 10%,#6d6d7d 90%);
    border-top-left-radius:100px;
    border-top-right-radius:100px;
    border:4px solid #333;
    background-size:10px 15px; 
}
.door{
    position:absolute;
    bottom:0;
    left:50%;
    transform: translateX(-50%);
    width:60px;
    height:80px;
    background:#4d2418;
    border-top-left-radius:60px;
    border-top-right-radius:60px;
}
.door::before{
   content:'';
   position:absolute;
   top:30px;
   left:-45px;
   width:30px;
   height:30px;
   background:#333;
   background-image:linear-gradient(to right,transparent 10%, transparent 90%, #333 90%),linear-gradient(to bottom, transparent 10%, #6d6d7d 10%, #6d6d7d 90%);
   background-size:10px 10px;
   border:2px solid #333;
   border-top:5px solid #333; 
   border-bottom:5px solid #333; 
}
.door::after{
    content:'';
    position:absolute;
    top:30px;
    right:-45px;
    width:30px;
    height:30px;
    background:#333;
    background-image:linear-gradient(to right,transparent 10%, transparent 90%, #333 90%),linear-gradient(to bottom, transparent 10%, #6d6d7d 10%, #6d6d7d 90%);
    background-size:10px 10px;
    border:2px solid #333;
    border-top:5px solid #333;
    border-bottom:5px solid #333; 
 }
 .line{
     position:absolute;
     top:38%;
     width:100%;
     height:12px;
     border-top:px solid #257582;
     border-bottom:4px solid #257582;
 }
 .adjst{
     top:45%;
 }
 .windows_right,.windows_left{
     position:absolute;
     top:20px;
     right:30px;
     width:60px;
     height:50px;
     background:#333;
     background-image:linear-gradient(to right,transparent 10%, transparent 90%, #333 90%),linear-gradient(to bottom, transparent 10%, #6d6d7d 10%, #6d6d7d 90%);
     background-size:10px 10px;
     border:2px solid #333;
     border-top:5px solid #333;
     border-bottom:5px solid #333;
 }
 .windows_right::before,.windows_left::before{
     content:'';
     position:absolute;
     top:90px;
     width:50px;
     height:60px;
     background:#333;
     background-image:linear-gradient(to right,transparent 10%, transparent 90%, #333 90%),linear-gradient(to bottom, transparent 10%, #6d6d7d 10%, #6d6d7d 90%);
     background-size:10px 10px;
     border:2px solid #333;
     border-top:5px solid #333;
     border-bottom:5px solid #333;
 }

 .windows_left{
    left:30px;
}
/* sides and  trees   */
.side{
    position:absolute;
    bottom:0px;
    left:30px;
    width:140px;
    height:140px;
    background:#f1f1f1;
}
.side::before{
    content:'';
    position:absolute;
    top:-52px;
    left:70px;
    width:100px;
    height:100px;
    background:#f1f1f1;
    transform:translateX(-50%) rotate(45deg);
    border-top:4px solid #222;
    border-left:4px solid #222;
}
.side::after{
    content:'';
    position:absolute;
    top:-20px;
    left:22%;
    width:70px;
    height:40px;
    background:#333;
    background-image:linear-gradient(to right,transparent 10%, transparent 90%, #333 90%),linear-gradient(to bottom, transparent 10%, #6d6d7d 10%, #6d6d7d 90%);
    background-size:10px 10px;
    border:2px solid #333;
    border-top:5px solid #333; 
    border-bottom:5px solid #333;
    border-top-left-radius:60px;
    border-top-right-radius:60px;
    /* transform:translateX(-50%); */
}
.side .line{
    transform:translateY(-15px);
}
.windows{
    position:absolute;
    left:30px;
    top:65px;
    width:80px;
    height:70px;
    background:#333;
    background-image:linear-gradient(to right,transparent 10%, transparent 90%, #333 90%),linear-gradient(to bottom, transparent 10%, #6d6d7d 10%, #6d6d7d 90%);
    background-size:10px 10px;
    border:2px solid #333;
    border-top:5px solid #333;
    border-bottom:5px solid #333;
}
.tree{
  position:absolute;
  bottom:90px;
  right:20px;
  width:120px;
  height:120px;
  background:#94ab38;
  border-top-left-radius: 100px;
  border-bottom-right-radius: 100px;
  transform:rotate(315deg);
}
.tree::before{
    content:'';
    top:85px;
    left:-20px;
    position:absolute;
    width:10px;
    height:100px;
    background:#3c2703;
    transform:rotate(45deg);
}
.tree2{
     z-index:10;
     bottom:90px;
     right:0px;
     background:#7b921f;
     transform: rotete(315deg) scale(1.25);
}